MessageFormatterTest (SLF4J 1.7.4 Test API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.helpers
Class MessageFormatterTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.slf4j.helpers.MessageFormatterTest

All Implemented Interfaces:
  junit.framework.Test

    public class MessageFormatterTest

extends junit.framework.TestCase

Author:
  Ceki Gulcu

Constructor Summary
`MessageFormatterTest()`

Method Summary
`void` | `testArrayFormat()`
`void` | `testArrayThrowable()`
`void` | `testArrayValues()`
`void` | `testCyclicArrays()`
`void` | `testExceptionIn_toString()`
`void` | `testMultiDimensionalArrayValues()`
`void` | `testNull()`
`void` | `testNullArray()`
`void` | `testNullParam()`
`void` | `testOneParameter()`
`void` | `testTwoParameters()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageFormatterTest

    public MessageFormatterTest()

Method Detail

### testNull

    public void testNull()

### testNullParam

    public void testNullParam()

### testOneParameter

    public void testOneParameter()

### testTwoParameters

    public void testTwoParameters()

### testExceptionIn_toString

    public void testExceptionIn_toString()

### testNullArray

    public void testNullArray()

### testArrayFormat

    public void testArrayFormat()

### testArrayValues

    public void testArrayValues()

### testMultiDimensionalArrayValues

    public void testMultiDimensionalArrayValues()

### testCyclicArrays

    public void testCyclicArrays()

### testArrayThrowable

    public void testArrayThrowable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.